Bug 224818 - math/py-bottleneck: py27-bottleneck and py36-bottleneck conflict with each other
Summary: math/py-bottleneck: py27-bottleneck and py36-bottleneck conflict with each other
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-01 14:46 UTC by Ting-Wei Lan
Modified: 2018-03-31 11:17 UTC (History)
1 user (show)

See Also:


Attachments
Patch to fix the conflict (592 bytes, patch)
2018-01-01 15:11 UTC, Ting-Wei Lan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ting-Wei Lan 2018-01-01 14:46:50 UTC
===>   Installing existing package /packages/All/py36-pandas-0.21.1.txz
Installing py36-pandas-0.21.1...
`-- Installing py36-bottleneck-1.2.1...
pkg-static: py36-bottleneck-1.2.1 conflicts with py27-bottleneck-1.2.1 (installs files into the same place).  Problematic file: /usr/local/share/doc/py-bottleneck/README.rst

We can fix it by changing DOCSDIR from py-bottleneck to py27-bottleneck and py36-bottleneck.
Comment 1 Bugzilla Automation freebsd_committer 2018-01-01 14:46:50 UTC
Maintainer informed via mail
Comment 2 Ting-Wei Lan 2018-01-01 15:11:37 UTC
Created attachment 189316 [details]
Patch to fix the conflict
Comment 3 Yuri Victorovich freebsd_committer 2018-02-23 07:04:39 UTC
Has been fixed in r462569 by adding USE_PYTHON=concurrent.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2018-03-31 11:17:32 UTC
Assign to committer that resolved.

Use correct resolution (FIXED) for issues closed via commit (a change).